<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg12.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql12.php") ?>
<?php include_once "phpfn12.php" ?>
<?php include_once "Usuarioinfo.php" ?>
<?php include_once "userfn12.php" ?>
<?php

//
// Page class
//

$Usuario_view = NULL; // Initialize page object first

class cUsuario_view extends cUsuario {

	// Page ID
	var $PageID = 'view';

	// Project ID
	var $ProjectID = "{612F4CEC-277D-477B-ABAC-2B8738F52202}";

	// Table name
	var $TableName = 'Usuario';

	// Page object name
	var $PageObjName = 'Usuario_view';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;
	var $ExportPdfUrl;

	// Custom export
	var $ExportExcelCustom = FALSE;
	var $ExportWordCustom = FALSE;
	var $ExportPdfCustom = FALSE;
	var $ExportEmailCustom = FALSE;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsHttpPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (Usuario)
		if (!isset($GLOBALS["Usuario"]) || get_class($GLOBALS["Usuario"]) == "cUsuario") {
			$GLOBALS["Usuario"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["Usuario"];
		}
		$KeyUrl = "";
		if (@$_GET["Documento"] <> "") {
			$this->RecKey["Documento"] = $_GET["Documento"];
			$KeyUrl .= "&amp;Documento=" . urlencode($this->RecKey["Documento"]);
		}
		$this->ExportPrintUrl = $this->PageUrl() . "export=print" . $KeyUrl;
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html" . $KeyUrl;
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel" . $KeyUrl;
		$this->ExportWordUrl = $this->PageUrl() . "export=word" . $KeyUrl;
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml" . $KeyUrl;
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv" . $KeyUrl;
		$this->ExportPdfUrl = $this->PageUrl() . "export=pdf" . $KeyUrl;

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'Usuario', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect($this->DBID);

		// Export options
		$this->ExportOptions = new cListOptions();
		$this->ExportOptions->Tag = "div";
		$this->ExportOptions->TagClassName = "ewExportOption";

		// Other options
		$this->OtherOptions['action'] = new cListOptions();
		$this->OtherOptions['action']->Tag = "div";
		$this->OtherOptions['action']->TagClassName = "ewActionOption";
		$this->OtherOptions['detail'] = new cListOptions();
		$this->OtherOptions['detail']->Tag = "div";
		$this->OtherOptions['detail']->TagClassName = "ewDetailOption";
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $Usuario;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($Usuario);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		 // Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $ExportOptions; // Export options
	var $OtherOptions = array(); // Other options
	var $DisplayRecs = 1;
	var $DbMasterFilter;
	var $DbDetailFilter;
	var $StartRec;
	var $StopRec;
	var $TotalRecs = 0;
	var $RecRange = 10;
	var $RecCnt;
	var $RecKey = array();
	var $Recordset;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;

		// Set up Breadcrumb
		if ($this->Export == "")
			$this->SetupBreadcrumb();
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["Documento"] <> "") {
				$this->Documento->setQueryStringValue($_GET["Documento"]);
				$this->RecKey["Documento"] = $this->Documento->QueryStringValue;
			} elseif (@$_POST["Documento"] <> "") {
				$this->Documento->setFormValue($_POST["Documento"]);
				$this->RecKey["Documento"] = $this->Documento->FormValue;
			} else {
				$sReturnUrl = "Usuariolist.php"; // Return to list
			}

			// Get action
			$this->CurrentAction = "I"; // Display form
			switch ($this->CurrentAction) {
				case "I": // Get a record to display
					if (!$this->LoadRow()) { // Load record based on key
						if ($this->getSuccessMessage() == "" && $this->getFailureMessage() == "")
							$this->setFailureMessage($Language->Phrase("NoRecord")); // Set no record message
						$sReturnUrl = "Usuariolist.php"; // No matching record, return to list
					}
			}
		} else {
			$sReturnUrl = "Usuariolist.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$this->RowType = EW_ROWTYPE_VIEW;
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Set up other options
	function SetupOtherOptions() {
		global $Language, $Security;
		$options = &$this->OtherOptions;
		$option = &$options["action"];

		// Add
		$item = &$option->Add("add");
		$item->Body = "<a class=\"ewAction ewAdd\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageAddLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageAddLink")) . "\" href=\"" . ew_HtmlEncode($this->AddUrl) . "\">" . $Language->Phrase("ViewPageAddLink") . "</a>";
		$item->Visible = ($this->AddUrl <> "");

		// Edit
		$item = &$option->Add("edit");
		$item->Body = "<a class=\"ewAction ewEdit\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageEditLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageEditLink")) . "\" href=\"" . ew_HtmlEncode($this->EditUrl) . "\">" . $Language->Phrase("ViewPageEditLink") . "</a>";
		$item->Visible = ($this->EditUrl <> "");

		// Copy
		$item = &$option->Add("copy");
		$item->Body = "<a class=\"ewAction ewCopy\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageCopyLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageCopyLink")) . "\" href=\"" . ew_HtmlEncode($this->CopyUrl) . "\">" . $Language->Phrase("ViewPageCopyLink") . "</a>";
		$item->Visible = ($this->CopyUrl <> "");

		// Delete
		$item = &$option->Add("delete");
		$item->Body = "<a class=\"ewAction ewDelete\" title=\"" . ew_HtmlTitle($Language->Phrase("ViewPageDeleteLink")) . "\" data-caption=\"" . ew_HtmlTitle($Language->Phrase("ViewPageDeleteLink")) . "\" href=\"" . ew_HtmlEncode($this->DeleteUrl) . "\">" . $Language->Phrase("ViewPageDeleteLink") . "</a>";
		$item->Visible = ($this->DeleteUrl <> "");

		// Set up action default
		$option = &$options["action"];
		$option->DropDownButtonPhrase = $Language->Phrase("ButtonActions");
		$option->UseImageAndText = TRUE;
		$option->UseDropDownButton = FALSE;
		$option->UseButtonGroup = TRUE;
		$item = &$option->Add($option->GroupOptionName);
		$item->Body = "";
		$item->Visible = FALSE;
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		if ($this->DisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->StartRec = $_GET[EW_TABLE_START_REC];
				$this->setStartRecordNumber($this->StartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$PageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($PageNo)) {
					$this->StartRec = ($PageNo-1)*$this->DisplayRecs+1;
					if ($this->StartRec <= 0) {
						$this->StartRec = 1;
					} elseif ($this->StartRec >= intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1) {
						$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1;
					}
					$this->setStartRecordNumber($this->StartRec);
				}
			}
		}
		$this->StartRec = $this->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->StartRec) || $this->StartRec == "") { // Avoid invalid start record counter
			$this->StartRec = 1; // Reset start record counter
			$this->setStartRecordNumber($this->StartRec);
		} elseif (intval($this->StartRec) > intval($this->TotalRecs)) { // Avoid starting record > total records
			$this->StartRec = intval(($this->TotalRecs-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to last page first record
			$this->setStartRecordNumber($this->StartRec);
		} elseif (($this->StartRec-1) % $this->DisplayRecs <> 0) {
			$this->StartRec = intval(($this->StartRec-1)/$this->DisplayRecs)*$this->DisplayRecs+1; // Point to page boundary
			$this->setStartRecordNumber($this->StartRec);
		}
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->Tipo_doc->setDbValue($rs->fields('Tipo_doc'));
		$this->Documento->setDbValue($rs->fields('Documento'));
		$this->Codigo_eps->setDbValue($rs->fields('Codigo_eps'));
		$this->Tipo_Usuario->setDbValue($rs->fields('Tipo_Usuario'));
		$this->Primer_ap->setDbValue($rs->fields('Primer_ap'));
		$this->Segundo_ap->setDbValue($rs->fields('Segundo_ap'));
		$this->Primer_nom->setDbValue($rs->fields('Primer_nom'));
		$this->Segundo_nom->setDbValue($rs->fields('Segundo_nom'));
		$this->Edad->setDbValue($rs->fields('Edad'));
		$this->Unidad_edad->setDbValue($rs->fields('Unidad_edad'));
		$this->Sexo->setDbValue($rs->fields('Sexo'));
		$this->Codigo_dpto->setDbValue($rs->fields('Codigo_dpto'));
		$this->Cod_municipio->setDbValue($rs->fields('Cod_municipio'));
		$this->Zona_residencia->setDbValue($rs->fields('Zona_residencia'));
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF) return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->Tipo_doc->DbValue = $row['Tipo_doc'];
		$this->Documento->DbValue = $row['Documento'];
		$this->Codigo_eps->DbValue = $row['Codigo_eps'];
		$this->Tipo_Usuario->DbValue = $row['Tipo_Usuario'];
		$this->Primer_ap->DbValue = $row['Primer_ap'];
		$this->Segundo_ap->DbValue = $row['Segundo_ap'];
		$this->Primer_nom->DbValue = $row['Primer_nom'];
		$this->Segundo_nom->DbValue = $row['Segundo_nom'];
		$this->Edad->DbValue = $row['Edad'];
		$this->Unidad_edad->DbValue = $row['Unidad_edad'];
		$this->Sexo->DbValue = $row['Sexo'];
		$this->Codigo_dpto->DbValue = $row['Codigo_dpto'];
		$this->Cod_municipio->DbValue = $row['Cod_municipio'];
		$this->Zona_residencia->DbValue = $row['Zona_residencia'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		$this->AddUrl = $this->GetAddUrl();
		$this->EditUrl = $this->GetEditUrl();
		$this->CopyUrl = $this->GetCopyUrl();
		$this->DeleteUrl = $this->GetDeleteUrl();
		$this->ListUrl = $this->GetListUrl();
		$this->SetupOtherOptions();

		// Call Row_Rendering event
		$this->Row_Rendering();

		// Common render codes for all row types
		// Tipo_doc
		// Documento
		// Codigo_eps
		// Tipo_Usuario
		// Primer_ap
		// Segundo_ap
		// Primer_nom
		// Segundo_nom
		// Edad
		// Unidad_edad
		// Sexo
		// Codigo_dpto
		// Cod_municipio
		// Zona_residencia

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// Tipo_doc
		$this->Tipo_doc->ViewValue = $this->Tipo_doc->CurrentValue;
		$this->Tipo_doc->ViewCustomAttributes = "";

		// Documento
		$this->Documento->ViewValue = $this->Documento->CurrentValue;
		$this->Documento->ViewCustomAttributes = "";

		// Codigo_eps
		$this->Codigo_eps->ViewValue = $this->Codigo_eps->CurrentValue;
		$this->Codigo_eps->ViewCustomAttributes = "";

		// Tipo_Usuario
		$this->Tipo_Usuario->ViewValue = $this->Tipo_Usuario->CurrentValue;
		$this->Tipo_Usuario->ViewCustomAttributes = "";

		// Primer_ap
		$this->Primer_ap->ViewValue = $this->Primer_ap->CurrentValue;
		$this->Primer_ap->ViewCustomAttributes = "";

		// Segundo_ap
		$this->Segundo_ap->ViewValue = $this->Segundo_ap->CurrentValue;
		$this->Segundo_ap->ViewCustomAttributes = "";

		// Primer_nom
		$this->Primer_nom->ViewValue = $this->Primer_nom->CurrentValue;
		$this->Primer_nom->ViewCustomAttributes = "";

		// Segundo_nom
		$this->Segundo_nom->ViewValue = $this->Segundo_nom->CurrentValue;
		$this->Segundo_nom->ViewCustomAttributes = "";

		// Edad
		$this->Edad->ViewValue = $this->Edad->CurrentValue;
		$this->Edad->ViewCustomAttributes = "";

		// Unidad_edad
		$this->Unidad_edad->ViewValue = $this->Unidad_edad->CurrentValue;
		$this->Unidad_edad->ViewCustomAttributes = "";

		// Sexo
		$this->Sexo->ViewValue = $this->Sexo->CurrentValue;
		$this->Sexo->ViewCustomAttributes = "";

		// Codigo_dpto
		$this->Codigo_dpto->ViewValue = $this->Codigo_dpto->CurrentValue;
		$this->Codigo_dpto->ViewCustomAttributes = "";

		// Cod_municipio
		$this->Cod_municipio->ViewValue = $this->Cod_municipio->CurrentValue;
		$this->Cod_municipio->ViewCustomAttributes = "";

		// Zona_residencia
		$this->Zona_residencia->ViewValue = $this->Zona_residencia->CurrentValue;
		$this->Zona_residencia->ViewCustomAttributes = "";

			// Tipo_doc
			$this->Tipo_doc->LinkCustomAttributes = "";
			$this->Tipo_doc->HrefValue = "";
			$this->Tipo_doc->TooltipValue = "";

			// Documento
			$this->Documento->LinkCustomAttributes = "";
			$this->Documento->HrefValue = "";
			$this->Documento->TooltipValue = "";

			// Codigo_eps
			$this->Codigo_eps->LinkCustomAttributes = "";
			$this->Codigo_eps->HrefValue = "";
			$this->Codigo_eps->TooltipValue = "";

			// Tipo_Usuario
			$this->Tipo_Usuario->LinkCustomAttributes = "";
			$this->Tipo_Usuario->HrefValue = "";
			$this->Tipo_Usuario->TooltipValue = "";

			// Primer_ap
			$this->Primer_ap->LinkCustomAttributes = "";
			$this->Primer_ap->HrefValue = "";
			$this->Primer_ap->TooltipValue = "";

			// Segundo_ap
			$this->Segundo_ap->LinkCustomAttributes = "";
			$this->Segundo_ap->HrefValue = "";
			$this->Segundo_ap->TooltipValue = "";

			// Primer_nom
			$this->Primer_nom->LinkCustomAttributes = "";
			$this->Primer_nom->HrefValue = "";
			$this->Primer_nom->TooltipValue = "";

			// Segundo_nom
			$this->Segundo_nom->LinkCustomAttributes = "";
			$this->Segundo_nom->HrefValue = "";
			$this->Segundo_nom->TooltipValue = "";

			// Edad
			$this->Edad->LinkCustomAttributes = "";
			$this->Edad->HrefValue = "";
			$this->Edad->TooltipValue = "";

			// Unidad_edad
			$this->Unidad_edad->LinkCustomAttributes = "";
			$this->Unidad_edad->HrefValue = "";
			$this->Unidad_edad->TooltipValue = "";

			// Sexo
			$this->Sexo->LinkCustomAttributes = "";
			$this->Sexo->HrefValue = "";
			$this->Sexo->TooltipValue = "";

			// Codigo_dpto
			$this->Codigo_dpto->LinkCustomAttributes = "";
			$this->Codigo_dpto->HrefValue = "";
			$this->Codigo_dpto->TooltipValue = "";

			// Cod_municipio
			$this->Cod_municipio->LinkCustomAttributes = "";
			$this->Cod_municipio->HrefValue = "";
			$this->Cod_municipio->TooltipValue = "";

			// Zona_residencia
			$this->Zona_residencia->LinkCustomAttributes = "";
			$this->Zona_residencia->HrefValue = "";
			$this->Zona_residencia->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("Usuariolist.php"), "", $this->TableVar, TRUE);
		$PageId = "view";
		$Breadcrumb->Add("view", $PageId, $url);
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Page Exporting event
	// $this->ExportDoc = export document object
	function Page_Exporting() {

		//$this->ExportDoc->Text = "my header"; // Export header
		//return FALSE; // Return FALSE to skip default export and use Row_Export event

		return TRUE; // Return TRUE to use default export and skip Row_Export event
	}

	// Row Export event
	// $this->ExportDoc = export document object
	function Row_Export($rs) {

	    //$this->ExportDoc->Text .= "my content"; // Build HTML with field value: $rs["MyField"] or $this->MyField->ViewValue
	}

	// Page Exported event
	// $this->ExportDoc = export document object
	function Page_Exported() {

		//$this->ExportDoc->Text .= "my footer"; // Export footer
		//echo $this->ExportDoc->Text;

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($Usuario_view)) $Usuario_view = new cUsuario_view();

// Page init
$Usuario_view->Page_Init();

// Page main
$Usuario_view->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$Usuario_view->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "view";
var CurrentForm = fUsuarioview = new ew_Form("fUsuarioview", "view");

// Form_CustomValidate event
fUsuarioview.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
fUsuarioview.ValidateRequired = true;
<?php } else { ?>
fUsuarioview.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<div class="ewToolbar">
<?php $Breadcrumb->Render(); ?>
<?php $Usuario_view->ExportOptions->Render("body") ?>
<?php
	foreach ($Usuario_view->OtherOptions as &$option)
		$option->Render("body");
?>
<?php echo $Language->SelectionForm(); ?>
<div class="clearfix"></div>
</div>
<?php $Usuario_view->ShowPageHeader(); ?>
<?php
$Usuario_view->ShowMessage();
?>
<form name="fUsuarioview" id="fUsuarioview" class="form-inline ewForm ewViewForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($Usuario_view->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $Usuario_view->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="Usuario">
<table class="table table-bordered table-striped ewViewTable">
<?php if ($Usuario->Tipo_doc->Visible) { // Tipo_doc ?>
	<tr id="r_Tipo_doc">
		<td><span id="elh_Usuario_Tipo_doc"><?php echo $Usuario->Tipo_doc->FldCaption() ?></span></td>
		<td data-name="Tipo_doc"<?php echo $Usuario->Tipo_doc->CellAttributes() ?>>
<span id="el_Usuario_Tipo_doc">
<span<?php echo $Usuario->Tipo_doc->ViewAttributes() ?>>
<?php echo $Usuario->Tipo_doc->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Documento->Visible) { // Documento ?>
	<tr id="r_Documento">
		<td><span id="elh_Usuario_Documento"><?php echo $Usuario->Documento->FldCaption() ?></span></td>
		<td data-name="Documento"<?php echo $Usuario->Documento->CellAttributes() ?>>
<span id="el_Usuario_Documento">
<span<?php echo $Usuario->Documento->ViewAttributes() ?>>
<?php echo $Usuario->Documento->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Codigo_eps->Visible) { // Codigo_eps ?>
	<tr id="r_Codigo_eps">
		<td><span id="elh_Usuario_Codigo_eps"><?php echo $Usuario->Codigo_eps->FldCaption() ?></span></td>
		<td data-name="Codigo_eps"<?php echo $Usuario->Codigo_eps->CellAttributes() ?>>
<span id="el_Usuario_Codigo_eps">
<span<?php echo $Usuario->Codigo_eps->ViewAttributes() ?>>
<?php echo $Usuario->Codigo_eps->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Tipo_Usuario->Visible) { // Tipo_Usuario ?>
	<tr id="r_Tipo_Usuario">
		<td><span id="elh_Usuario_Tipo_Usuario"><?php echo $Usuario->Tipo_Usuario->FldCaption() ?></span></td>
		<td data-name="Tipo_Usuario"<?php echo $Usuario->Tipo_Usuario->CellAttributes() ?>>
<span id="el_Usuario_Tipo_Usuario">
<span<?php echo $Usuario->Tipo_Usuario->ViewAttributes() ?>>
<?php echo $Usuario->Tipo_Usuario->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Primer_ap->Visible) { // Primer_ap ?>
	<tr id="r_Primer_ap">
		<td><span id="elh_Usuario_Primer_ap"><?php echo $Usuario->Primer_ap->FldCaption() ?></span></td>
		<td data-name="Primer_ap"<?php echo $Usuario->Primer_ap->CellAttributes() ?>>
<span id="el_Usuario_Primer_ap">
<span<?php echo $Usuario->Primer_ap->ViewAttributes() ?>>
<?php echo $Usuario->Primer_ap->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Segundo_ap->Visible) { // Segundo_ap ?>
	<tr id="r_Segundo_ap">
		<td><span id="elh_Usuario_Segundo_ap"><?php echo $Usuario->Segundo_ap->FldCaption() ?></span></td>
		<td data-name="Segundo_ap"<?php echo $Usuario->Segundo_ap->CellAttributes() ?>>
<span id="el_Usuario_Segundo_ap">
<span<?php echo $Usuario->Segundo_ap->ViewAttributes() ?>>
<?php echo $Usuario->Segundo_ap->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Primer_nom->Visible) { // Primer_nom ?>
	<tr id="r_Primer_nom">
		<td><span id="elh_Usuario_Primer_nom"><?php echo $Usuario->Primer_nom->FldCaption() ?></span></td>
		<td data-name="Primer_nom"<?php echo $Usuario->Primer_nom->CellAttributes() ?>>
<span id="el_Usuario_Primer_nom">
<span<?php echo $Usuario->Primer_nom->ViewAttributes() ?>>
<?php echo $Usuario->Primer_nom->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Segundo_nom->Visible) { // Segundo_nom ?>
	<tr id="r_Segundo_nom">
		<td><span id="elh_Usuario_Segundo_nom"><?php echo $Usuario->Segundo_nom->FldCaption() ?></span></td>
		<td data-name="Segundo_nom"<?php echo $Usuario->Segundo_nom->CellAttributes() ?>>
<span id="el_Usuario_Segundo_nom">
<span<?php echo $Usuario->Segundo_nom->ViewAttributes() ?>>
<?php echo $Usuario->Segundo_nom->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Edad->Visible) { // Edad ?>
	<tr id="r_Edad">
		<td><span id="elh_Usuario_Edad"><?php echo $Usuario->Edad->FldCaption() ?></span></td>
		<td data-name="Edad"<?php echo $Usuario->Edad->CellAttributes() ?>>
<span id="el_Usuario_Edad">
<span<?php echo $Usuario->Edad->ViewAttributes() ?>>
<?php echo $Usuario->Edad->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Unidad_edad->Visible) { // Unidad_edad ?>
	<tr id="r_Unidad_edad">
		<td><span id="elh_Usuario_Unidad_edad"><?php echo $Usuario->Unidad_edad->FldCaption() ?></span></td>
		<td data-name="Unidad_edad"<?php echo $Usuario->Unidad_edad->CellAttributes() ?>>
<span id="el_Usuario_Unidad_edad">
<span<?php echo $Usuario->Unidad_edad->ViewAttributes() ?>>
<?php echo $Usuario->Unidad_edad->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Sexo->Visible) { // Sexo ?>
	<tr id="r_Sexo">
		<td><span id="elh_Usuario_Sexo"><?php echo $Usuario->Sexo->FldCaption() ?></span></td>
		<td data-name="Sexo"<?php echo $Usuario->Sexo->CellAttributes() ?>>
<span id="el_Usuario_Sexo">
<span<?php echo $Usuario->Sexo->ViewAttributes() ?>>
<?php echo $Usuario->Sexo->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Codigo_dpto->Visible) { // Codigo_dpto ?>
	<tr id="r_Codigo_dpto">
		<td><span id="elh_Usuario_Codigo_dpto"><?php echo $Usuario->Codigo_dpto->FldCaption() ?></span></td>
		<td data-name="Codigo_dpto"<?php echo $Usuario->Codigo_dpto->CellAttributes() ?>>
<span id="el_Usuario_Codigo_dpto">
<span<?php echo $Usuario->Codigo_dpto->ViewAttributes() ?>>
<?php echo $Usuario->Codigo_dpto->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Cod_municipio->Visible) { // Cod_municipio ?>
	<tr id="r_Cod_municipio">
		<td><span id="elh_Usuario_Cod_municipio"><?php echo $Usuario->Cod_municipio->FldCaption() ?></span></td>
		<td data-name="Cod_municipio"<?php echo $Usuario->Cod_municipio->CellAttributes() ?>>
<span id="el_Usuario_Cod_municipio">
<span<?php echo $Usuario->Cod_municipio->ViewAttributes() ?>>
<?php echo $Usuario->Cod_municipio->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
<?php if ($Usuario->Zona_residencia->Visible) { // Zona_residencia ?>
	<tr id="r_Zona_residencia">
		<td><span id="elh_Usuario_Zona_residencia"><?php echo $Usuario->Zona_residencia->FldCaption() ?></span></td>
		<td data-name="Zona_residencia"<?php echo $Usuario->Zona_residencia->CellAttributes() ?>>
<span id="el_Usuario_Zona_residencia">
<span<?php echo $Usuario->Zona_residencia->ViewAttributes() ?>>
<?php echo $Usuario->Zona_residencia->ViewValue ?></span>
</span>
</td>
	</tr>
<?php } ?>
</table>
</form>
<script type="text/javascript">
fUsuarioview.Init();
</script>
<?php
$Usuario_view->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$Usuario_view->Page_Terminate();
?>
